
;criao de vos em desenho de plantas para escalas 1/100
; necessrio que previamente haja uma planta
;com com definio "region" a definir as paredes
;a variavel delobj deve estar com o valor 1
;2020

(defun c:vjanela ()
;parmetros gerais
	(setq pontos (getvar "osmode"))
	(setq pontos3d (getvar "3dosmode"))
	(setq geom (getvar "delobj"))
	(setvar "delobj" 1)	
	
;introduo de dados
(setq existencia (entsel "\nEscolha a parede: "))
	(setvar "osmode" 32)
(setq p1 (getpoint "\nQual o ponto interior na parede?:  "))
(setq p2 (getpoint "\nOutro ponto pelo interior que define a largura?:  "))
(setq p3 (getpoint "\nQual o ponto oposto ao primeiro, no exterior na parede?:  "))

	(setvar "osmode" 0)
	(command "ucs" "n" "3" p1 p2 p3) 
	(setq p1t (trans p1 0 1) p2t (trans p2 0 1) p3t (trans p3 0 1))
	
;execuo automatica da rotina
(command "rectang" (polar p2t (angle p1t p3t) 0.5)
					(polar p3t (angle p3t p1t) 0.5)
		)			
	(setq vao (entlast))			
	(command "region" (entlast) "")
	(setq ent1 (entlast))
	(command "subtract" existencia "" ent1 "")
	(command "line" p1t p2t "")
	(command "line" (setq p4t (polar p1t (angle p1t p3t)(/ (distance p1t p3t) 2)))
					(polar p4t (angle p1t p2t) (distance p1t p2t)) "")
	(command "line" p3t 
			(list (car p2t)(cadr p3t))   
		 	"")
		
;reposio de parametros
	(setvar "delobj" geom)
	(setvar "osmode" pontos)
	(setvar "3dosmode" pontos3d)
	(command "ucs" "world")

)


